package com.artfess.cqlt.manager;

import com.alibaba.fastjson.JSONObject;
import com.artfess.cqlt.model.QfInvestPatentD;
import com.artfess.base.manager.BaseManager;
import com.artfess.cqlt.model.QfInvestPatentM;
import com.artfess.cqlt.model.QfInvestProductivityD;
import com.artfess.cqlt.vo.ReportReqVo;

import java.util.List;

/**
 * 投资--萨固密集团专利授权数据填报详情表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author min.wu
 * @since 2023-02-23
 */
public interface QfInvestPatentDManager extends BaseManager<QfInvestPatentD> {

    boolean batchSave(QfInvestPatentM t);

    boolean batchUpdate(QfInvestPatentM t);

    JSONObject investmentSituation(ReportReqVo vo);

    List<QfInvestProductivityD> capacitySituation(ReportReqVo t);
}
